/*
Viral Loops v1

Testing VloopAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package vloopapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/vloopapi"
)

func Test_vloopapi_VloopAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test VloopAPIService CompleteFriend", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var id string

		httpRes, err := apiClient.VloopAPI.CompleteFriend(context.Background(), id).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService CreateFriend", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var channelId string

		resp, httpRes, err := apiClient.VloopAPI.CreateFriend(context.Background(), orgId, id, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService CreateMilestone", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var channelId string

		resp, httpRes, err := apiClient.VloopAPI.CreateMilestone(context.Background(), orgId, id, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService CreateReferral", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var channelId string

		resp, httpRes, err := apiClient.VloopAPI.CreateReferral(context.Background(), orgId, id, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService CreateViralLoop", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.VloopAPI.CreateViralLoop(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService DeleteMilestone", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var mid string
		var channelId string

		httpRes, err := apiClient.VloopAPI.DeleteMilestone(context.Background(), orgId, id, mid, channelId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService DeleteViralLoop", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var channelId string

		httpRes, err := apiClient.VloopAPI.DeleteViralLoop(context.Background(), orgId, id, channelId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService FindViralLoop", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var channelId string

		resp, httpRes, err := apiClient.VloopAPI.FindViralLoop(context.Background(), orgId, id, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService ListViralLoops", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.VloopAPI.ListViralLoops(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService UpdateMilestone", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var mid string
		var channelId string

		resp, httpRes, err := apiClient.VloopAPI.UpdateMilestone(context.Background(), orgId, id, mid, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService UpdateViralLoop", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string
		var id string
		var channelId string

		resp, httpRes, err := apiClient.VloopAPI.UpdateViralLoop(context.Background(), orgId, id, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test VloopAPIService Webhook", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		httpRes, err := apiClient.VloopAPI.Webhook(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
